function getInfo()
  setNextLevel("./levels/easy2.lua")
  -- Title
  levelText("TUTORIAL\n\nread carefully.")
end


function setGame()
  -- Music
  setMusic("./audio/c418-familiarfaces.mp3")
  -- Timer
  varTimeElapsed(60)
  -- Player 
  varPlayerX(16)
  varPlayerY(16)
  -- Gravity
  varGravityDir(2)
end


function setLevel()
  -- Temporary level matrix
  local lvl_w, lvl_h = 30, 17
  local lvl =
    {{1,1,1,1,1,1,1,1,1,1,1,1,1,5,5,5,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
     {1,0,0,0,0,0,0,0,0,0,0,0,1,0,5,5,0,0,0,0,0,0,0,0,0,0,0,0,b,1},
     {1,1,1,1,1,1,1,1,1,1,1,0,1,5,5,5,0,0,0,0,0,0,5,1,1,1,1,1,1,1},
     {1,1,1,1,1,1,1,1,1,1,1,0,1,0,0,0,0,0,0,0,0,5,5,1,0,0,0,0,1,1},
     {1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,5,5,0,1,0,1,1,0,1,1},
     {1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,1,1,1,1,1,0,1,0,0,1,1},
     {1,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,1,1,1},
     {1,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,0,1,1},
     {1,0,1,0,0,0,0,0,0,0,0,1,0,0,1,0,0,0,0,0,0,0,0,0,0,1,1,0,1,1},
     {1,0,0,0,0,1,0,0,1,0,0,1,0,0,1,1,1,0,0,1,1,0,1,0,1,1,0,0,1,1},
     {1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,0,0,0,0,0,0,0,0,0,0,1,0,1,1,1},
     {1,0,5,5,5,5,5,5,5,5,5,5,5,0,1,4,4,4,4,4,4,4,4,4,4,1,0,0,5,3},
     {1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,5,1},
     {1,0,1,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,1,0,0,0,0,4,1,0,0,5,1},
     {1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,5,5,1,0,0,5,1},
     {1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,5,5,0,0,0,5,1},
     {1,1,1,1,1,1,4,1,1,1,4,1,1,1,4,1,1,4,1,1,1,1,1,1,1,1,1,1,3,1}}
     
  -- Reset level
  initObject()
  
  -- Init objects using the matrix
  for i=1,lvl_w do
    for j=1,lvl_h do
      if lvl[j][i]>0 then
        createObjectAligned(16*(i-1),16*(j-1),0,0,lvl[j][i],16)
      end
    end
  end
  
  -- Checkpoints
  createObjectAligned(16*1,16*1,0,0,9,16)
  objectText("Hello ! I can move using the directional arrows.")
  createObjectAligned(16*2,16*9,0,0,9,16)
  objectText("I can also jump by pressing Cross button.")
  createObjectAligned(16*10,16*9,0,0,9,16)
  objectText("I can jump higher by holding Cross button.")
  createObjectAligned(16*13,16*11,0,0,9,16)
  objectText("Coins give me more time to finish the level.")
  createObjectAligned(16*2,16*15,0,0,9,16)
  objectText("Black squares are naughty ! They can kill me ! I have to avoid them.")
  createObjectAligned(16*25,16*15,0,0,9,16)
  objectText("Purple squares can help me to jump much higher !")
  createObjectAligned(16*25,16*3,0,0,9,16)
  objectText("In case of trouble, simply take a break by pressing Start.")
  createObjectAligned(16*15,16*8,0,0,9,16)
  objectText("I have the ability to control the gravity ! Press L or R button to try.")
  createObjectAligned(16*22,16*4,0,0,9,16)
  objectText("This bigger coin there is used to go to the next level.")
  createObjectAligned(16*13,16*1,0,0,9,16)
  objectText("Pressing L and R at the same time is useful to invert the gravity !")
end


